package handler

import (
	"encoding/json"
	"fmt"
	"net/http"
)

type userLight struct {
	Name string `json:"name"`
	Role string `json:"role"`
}

func (authMux *AuthMux) GetUserInfo(w http.ResponseWriter, r *http.Request) {
	usr, err := authMux.getUserFromSession(r)
	if err != nil {
		authMux.accessDenied(w, r)
		return
	}

	usrLight := userLight{
		Name: usr.Name,
		Role: usr.Role,
	}

	w.Header().Add("Content-Type", "application/json")
	jsonString, _ := json.Marshal(usrLight)
	fmt.Fprintf(w, string(jsonString))
}
